| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::PendingContacts Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/pending-contacts.h>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingContacts ()
- ContactManager * manager () const
- QSet< Contact::Feature > features () const
- bool isForHandles () const
- UIntList handles () const
- bool isForIdentifiers () const
- QStringList identifiers () const
- bool isUpgrade () const
- QList< ContactPtr > contactsToUpgrade () const
- QList< ContactPtr > contacts () const
- UIntList invalidHandles () const
- QStringList validIdentifiers () const
- QHash< QString, QPair< QString,
  QString > > invalidIdentifiers () const

## Constructor & Destructor Documentation

Tp::PendingContacts::~PendingContacts | ( |  | ) |

Class destructor.

## Member Function Documentation

ContactManager * Tp::PendingContacts::manager | ( |  | ) | const

QSet< Contact::Feature > Tp::PendingContacts::features | ( |  | ) | const

bool Tp::PendingContacts::isForHandles | ( |  | ) | const

UIntList Tp::PendingContacts::handles | ( |  | ) | const

bool Tp::PendingContacts::isForIdentifiers | ( |  | ) | const

QStringList Tp::PendingContacts::identifiers | ( |  | ) | const

bool Tp::PendingContacts::isUpgrade | ( |  | ) | const

QList< ContactPtr > Tp::PendingContacts::contactsToUpgrade | ( |  | ) | const

QList< ContactPtr > Tp::PendingContacts::contacts | ( |  | ) | const

UIntList Tp::PendingContacts::invalidHandles | ( |  | ) | const

QStringList Tp::PendingContacts::validIdentifiers | ( |  | ) | const

QHash< QString, QPair< QString, QString > > Tp::PendingContacts::invalidIdentifiers | ( |  | ) | const